Subject: Re: powerpc/64s/slice: Use addr limit when computing slice mask

From: Michael Ellerman <[email-masked]>
Date: Fri, 24 Nov 2017 20:46:35 +1100 (AEDT)

On Fri, 2017-11-10 at 04:55:07 UTC, "Aneesh Kumar K.V" wrote:
> While computing slice mask for the free area we need make sure we only search
> in the addr limit applicable for this mmap. We update the slb_addr_limit
> after we request for a mmap above 128TB. But the following mmap request
> with hint addr below 128TB should still limit its search to below 128TB. ie.
> we should not use slb_addr_limit to compute slice mask in this case. Instead,
> we should derive high addr limit based on the mmap hint addr value.
> 
> Signed-off-by: Aneesh Kumar K.V <[email-masked]>

Applied to powerpc fixes, thanks.

https://git.kernel.org/powerpc/c/7a06c66835f75fe2be4f154a93cc30

cheers